sigc-web-public/src/main/java/co/gov/igac/snc/web/mb/avaluos/administracion/AdminAvaluosAsociadosAContratoMB.java
/**
 * IGAC proyecto SNC
 */
package co.gov.igac.snc.web.mb.avaluos.administracion;

import java.util.ArrayList;
import java.util.Date;

import javax.annotation.PostConstruct;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import co.gov.igac.generales.dto.UsuarioDTO;
import co.gov.igac.snc.persistence.entity.avaluos.Avaluo;
import co.gov.igac.snc.persistence.entity.avaluos.ContratoInteradministrativo;
import co.gov.igac.snc.persistence.util.ETramiteEstado;
import co.gov.igac.snc.util.FiltroDatosConsultaAvaluo;
import co.gov.igac.snc.web.mb.generales.MenuMB;
import co.gov.igac.snc.web.util.SNCManagedBean;

/**
 * MB del cu
 *
 * @cu CU-SA-AC-088
 * @author pedro.garcia
 */
@Component("adminAvaluosAsociadosAContrato")
@Scope("session")
public class AdminAvaluosAsociadosAContratoMB extends SNCManagedBean {

    private static final long serialVersionUID = 31925600691265148L;

    private static final Logger LOGGER =
        LoggerFactory.getLogger(AdminAvaluosAsociadosAContratoMB.class);

    /**
     * objeto que se recibe como parámetro para mostrar los avalúos asociados a ese contrato
     */
    private ContratoInteradministrativo currentContract;

    /**
     * sumatoria de los valores de los avalúos en trámite asociados al contrato incrementados en el
     * porcentaje de IVA
     */
    private double valorComprometidoEjecucion;

    /**
     * lista de los avalúos en trámite asociados al contrato actual
     */
    private ArrayList<Avaluo> avaluosEnTramiteAsociados;

    /**
     * variable chimba para evitar usar funciones jstl
     */
    private int numeroAvaluosEnTramite;

    /**
     * guarda el avalúo que se selecciona de la tabla
     */
    private Avaluo selectedAvaluo;

    /**
     * variable que guarda los datos del usuario que usa la aplicación
     */
    private UsuarioDTO loggedInUser;

//-----------------------------    Métodos         ---------------------------------
    public Avaluo getSelectedAvaluo() {
        return this.selectedAvaluo;
    }

    public void setSelectedAvaluo(Avaluo selectedAvaluo) {
        this.selectedAvaluo = selectedAvaluo;
    }

    public int getNumeroAvaluosEnTramite() {
        return this.numeroAvaluosEnTramite;
    }

    public void setNumeroAvaluosEnTramite(int numeroAvaluosEnTramite) {
        this.numeroAvaluosEnTramite = numeroAvaluosEnTramite;
    }

    public ArrayList<Avaluo> getAvaluosEnTramiteAsociados() {
        return this.avaluosEnTramiteAsociados;
    }

    public void setAvaluosEnTramiteAsociados(ArrayList<Avaluo> avaluosEnTramiteAsociados) {
        this.avaluosEnTramiteAsociados = avaluosEnTramiteAsociados;
    }

    public double getValorComprometidoEjecucion() {
        return this.valorComprometidoEjecucion;
    }

    public void setValorComprometidoEjecucion(double valorComprometidoEjecucion) {
        this.valorComprometidoEjecucion = valorComprometidoEjecucion;
    }

    public ContratoInteradministrativo getCurrentContract() {
        return this.currentContract;
    }

//--------------------------------------------------------------------------------------------------
    @PostConstruct
    public void init() {
        LOGGER.debug("on AdminAvaluosAsociadosAContratoMB init");
        this.loggedInUser = MenuMB.getMenu().getUsuarioDto();
    }
//--------------------------------------------------------------------------------------------------

    /**
     * consulta los avalúos que estén en trámite asociados al contrato con el que se está trabajando
     *
     * @author pedro.garcia
     */
    private ArrayList<Avaluo> consultarAvaluosEnTramitePorContrato() {

        ArrayList<Avaluo> answer = null;
        FiltroDatosConsultaAvaluo filtroConsulta;

        filtroConsulta = new FiltroDatosConsultaAvaluo();
        filtroConsulta.setEstadoTramiteAvaluo(ETramiteEstado.EN_PROCESO.getCodigo());

        answer = (ArrayList<Avaluo>) this.getAvaluosService().consultarAvaluosDeContrato(
            this.currentContract.getId(), filtroConsulta);

        return answer;
    }
//--------------------------------------------------------------------------------------------------

    /**
     * calcula el dato valor comprometido en ejecución que es la sumatoria de los valores de los
     * avalúos en trámite asociados al contrato incrementados en el porcentaje de IVA
     *
     * PRE: se ha consultado la lista de avalúos en trámite asociados
     *
     * @author pedro.garcia
     * @modified christian.rodriguez se vuelve público para que pueda servir de listener para que al
     * cerrar la ventana de este caso de uso el valor peuda ser recalculado
     * @return
     */
    public void calcularValorComprometidoEjecucion() {

        double valorCotizadoTemp, valorCotizadoConIVATemp;
        this.valorComprometidoEjecucion = 0.0;

        if (this.avaluosEnTramiteAsociados != null) {
            for (Avaluo avaluo : this.avaluosEnTramiteAsociados) {
                valorCotizadoTemp = avaluo.getValorCotizacion();

                valorCotizadoConIVATemp = (avaluo.getValorIva() != null) ?
                    valorCotizadoTemp + (valorCotizadoTemp * avaluo.getValorIva().doubleValue()) :
                    valorCotizadoTemp;

                this.valorComprometidoEjecucion += valorCotizadoConIVATemp;
            }
        }
    }

//--------------------------------------------------------------------------------------------------
    /**
     * action del botón "aceptar" del dialogo donde se pide el nuevo valor de cotización del avalúo
     */
    public void modificarValorCotizacionAvaluo() {

        this.selectedAvaluo.setUsuarioLog(this.loggedInUser.getLogin());
        this.selectedAvaluo.setFechaLog(new Date(System.currentTimeMillis()));
        this.getAvaluosService().actualizarAvaluo(this.selectedAvaluo);

        this.avaluosEnTramiteAsociados = consultarAvaluosEnTramitePorContrato();

        this.selectedAvaluo = null;

    }
//--------------------------------------------------------------------------------------------------

    /**
     * Método que se debe usar para cargar los datos requeridos por este caso de uso cuando es
     * llamado por el caso de uso 008
     *
     * @author pedro.garcia
     * @modified christian.rodriguez se cambia el nombre del método y se reinicializa la variable de
     * selección
     * @param currentContract {@link ContratoInteradministrativo} que se desea modificar
     */
    public void cargarDesdeCU008(ContratoInteradministrativo currentContract) {

        if (this.currentContract == null ||
             (this.currentContract != null && this.currentContract.getId() != currentContract
            .getId())) {

            this.currentContract = currentContract;
            this.avaluosEnTramiteAsociados = this.consultarAvaluosEnTramitePorContrato();
            this.calcularValorComprometidoEjecucion();

            this.numeroAvaluosEnTramite = (this.avaluosEnTramiteAsociados != null) ?
                this.avaluosEnTramiteAsociados
                    .size() : 0;

            this.selectedAvaluo = new Avaluo();
        }

    }

//end of class
}

sigc-web-public/src/main/java/co/gov/igac/snc/web/mb/generales/GeneralMB.java
package co.gov.igac.snc.web.mb.generales;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.faces.model.SelectItem;

import co.gov.igac.snc.persistence.entity.actualizacion.EntidadMunicipalFormato;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import co.gov.igac.generales.dto.UsuarioDTO;
import co.gov.igac.persistence.entity.generales.CirculoRegistral;
import co.gov.igac.persistence.entity.generales.Departamento;
import co.gov.igac.persistence.entity.generales.EstructuraOrganizacional;
import co.gov.igac.persistence.entity.generales.Municipio;
import co.gov.igac.persistence.entity.generales.Pais;
import co.gov.igac.persistence.entity.generales.Profesion;
import co.gov.igac.snc.apiprocesos.tareas.comun.Actividad;
import co.gov.igac.snc.persistence.entity.conservacion.HFichaMatrizPredio;
import co.gov.igac.snc.persistence.entity.conservacion.HPredio;
import co.gov.igac.snc.persistence.entity.conservacion.PFichaMatrizPredio;
import co.gov.igac.snc.persistence.entity.conservacion.PPredio;
import co.gov.igac.snc.persistence.entity.conservacion.PUnidadConstruccion;
import co.gov.igac.snc.persistence.entity.conservacion.PUnidadConstruccionComp;
import co.gov.igac.snc.persistence.entity.conservacion.Predio;
import co.gov.igac.snc.persistence.entity.conservacion.RepReporte;
import co.gov.igac.snc.persistence.entity.conservacion.UnidadConstruccion;
import co.gov.igac.snc.persistence.entity.conservacion.UnidadConstruccionComp;
import co.gov.igac.snc.persistence.entity.formacion.CalificacionAnexo;
import co.gov.igac.snc.persistence.entity.generales.Documento;
import co.gov.igac.snc.persistence.entity.generales.Dominio;
import co.gov.igac.snc.persistence.entity.generales.FirmaUsuario;
import co.gov.igac.snc.persistence.entity.generales.ProductoCatastralJob;
import co.gov.igac.snc.persistence.entity.generales.TipoDocumento;
import co.gov.igac.snc.persistence.entity.tramite.Comision;
import co.gov.igac.snc.persistence.entity.tramite.ComisionTramite;
import co.gov.igac.snc.persistence.entity.tramite.GrupoProducto;
import co.gov.igac.snc.persistence.entity.tramite.MotivoEstadoTramite;
import co.gov.igac.snc.persistence.entity.tramite.Producto;
import co.gov.igac.snc.persistence.entity.tramite.Tramite;
import co.gov.igac.snc.persistence.entity.tramite.TramiteDepuracion;
import co.gov.igac.snc.persistence.entity.tramite.TramiteInconsistencia;
import co.gov.igac.snc.persistence.util.EComisionTipo;
import co.gov.igac.snc.persistence.util.EComisionTramiteResultAv;
import co.gov.igac.snc.persistence.util.EDominio;
import co.gov.igac.snc.persistence.util.EDominiosActualizacion;
import co.gov.igac.snc.persistence.util.EDominiosOfertas;
import co.gov.igac.snc.persistence.util.EMutacionClase;
import co.gov.igac.snc.persistence.util.EPersonaTipoIdentificacion;
import co.gov.igac.snc.persistence.util.EPredioTipoCatastro;
import co.gov.igac.snc.persistence.util.ERol;
import co.gov.igac.snc.persistence.util.ESiNo;
import co.gov.igac.snc.persistence.util.ETipoDocumento;
import co.gov.igac.snc.persistence.util.ETipoDocumentoClase;
import co.gov.igac.snc.persistence.util.ETramiteEstado;
import co.gov.igac.snc.persistence.util.ETramiteTipoTramite;
import co.gov.igac.snc.util.Constantes;
import co.gov.igac.snc.util.EEntidadGrupoTrabajoPruebas;
import co.gov.igac.snc.util.SNCPropertiesUtil;
import co.gov.igac.snc.web.util.ECodigoErrorVista;
import co.gov.igac.snc.web.util.SNCManagedBean;

@Component("general")
@Scope("application")
public class GeneralMB extends SNCManagedBean {

    /**
     *
     */
    private static final long serialVersionUID = -7479960249839320796L;
    private int maximoTiempoInactividad = 15 * 60 * 1000;

    private boolean errorProceso = false;
    private boolean errorAplicacion = true;

    private HashMap<String, String> tramiteTipoTramiteHM;
    private HashMap<String, String> mutacionClaseHM;
    private HashMap<String, String> mutacion2SubtipoHM;
    private HashMap<String, String> mutacion5SubtipoHM;

    //rango de años
    private int anioInicialRango = 2012;

    private int anioFinalRango = 2030;

    public int getAnioInicialRango() {
        return anioInicialRango;
    }

    public void setAnioInicialRango(int anioInicialRango) {
        this.anioInicialRango = anioInicialRango;
    }

    public int getAnioFinalRango() {
        return anioFinalRango;
    }

    public void setAnioFinalRango(int anioFinalRango) {
        this.anioFinalRango = anioFinalRango;
    }

    public String getFormatoFecha() {
        return Constantes.FORMATO_FECHA;
    }

    public String getFormatoFechaHora() {
        return Constantes.FORMATO_FECHA_HORA;
    }

    public String getFormatoFechaHora12() {
        return Constantes.FORMATO_FECHA_HORA_12;
    }

    public String getFormatoFechaHora24() {
        return Constantes.FORMATO_FECHA_HORA_24;
    }

    public String getFormatoFechaUsuario() {
        return Constantes.FORMATO_FECHA_USUARIO;
    }

    public String getFormatoFechaUsuario2() {
        return Constantes.FORMATO_FECHA_USUARIO_2;
    }

    /**
     * formato fecha para el atributo pattern de los p:calendar
     */
    public String getFormatoFechaComponenteCalendar() {
        return Constantes.FORMATO_FECHA_CALENDAR;
    }

    public String getNoExistenFiltrosDisponibles() {
        return Constantes.NO_EXISTEN_FILTROS_DISPONIBLES;
    }

    public String getNoDataFound() {
        return Constantes.NO_DATA_FOUND;
    }

    public String getTipoMimePDF() {
        return Constantes.TIPO_MIME_PDF;
    }

    public Date getFechaActual() {
        return new Date();
    }

    /*
     * Devuelve la lista llena con los códigos y los valores de los elementos de dominio separados
     * por un -
     */
    private void adicionarDatosCV(List<SelectItem> lista,
        List<Dominio> listDominio) {
        for (Dominio dominio : listDominio) {
            lista.add(new SelectItem(dominio.getCodigo(), dominio.getCodigo() +
                 " - " + dominio.getValor()));
        }
    }

    private void adicionarDatosVCV(List<SelectItem> lista,
        List<Dominio> listDominio) {
        for (Dominio dominio : listDominio) {
            lista.add(new SelectItem(dominio.getValor(), dominio.getCodigo() +
                 " - " + dominio.getValor()));
        }
    }

    /*
     * Devuelve la lista llena con las descripciónes de los elementos de dominio
     */
    private void adicionarDatosD(List<SelectItem> lista,
        List<Dominio> listDominio) {
        for (Dominio dominio : listDominio) {
            lista.add(new SelectItem(dominio.getCodigo(), dominio.getDescripcion()));
        }
    }

    /*
     * Devuelve la lista llena con los valores de los elementos de dominio
     */
    private void adicionarDatosV(List<SelectItem> lista,
        List<Dominio> listDominio) {
        for (Dominio dominio : listDominio) {
            lista.add(new SelectItem(dominio.getCodigo(), dominio.getValor()));
        }
    }

    private void adicionarDatosSeleccionarV(List<SelectItem> lista,
        List<Dominio> listDominio) {

        lista.add(new SelectItem("", this.DEFAULT_COMBOS));
        for (Dominio dominio : listDominio) {
            lista.add(new SelectItem(dominio.getCodigo(), dominio.getValor()));
        }
    }

    private void adicionarDatosSeleccionarVV(List<SelectItem> lista,
        List<Dominio> listDominio) {

        lista.add(new SelectItem("", this.DEFAULT_COMBOS));
        for (Dominio dominio : listDominio) {
            lista.add(new SelectItem(dominio.getValor(), dominio.getValor()));
        }
    }

    /**
     * Método que arma una lista de String's a partir de una lista de dominio, se usa para el
     * componente Pick List de PrimeFaces
     *
     * @param lista
     * @param listDominio
     * @author javier.aponte
     */
    private void adicionarDatosListaString(List<String> lista,
        List<Dominio> listDominio) {
        for (Dominio dominio : listDominio) {
            lista.add(dominio.getValor());
        }
    }

    /**
     * Retorna los valores para un combo box (selectOneMenu) con los registros del tipo de
     * persona_predio. Retorna en la lista tanto valor como código del dominio.
     *
     * @return
     * @author fabio.navarrete
     */
    public List<SelectItem> getPersonaPredioTipoCV() {
        List<SelectItem> lista = new ArrayList<SelectItem>();
        this.adicionarDatosCV(lista, this.getGeneralesService()
            .getCacheDominioPorNombre(EDominio.PERSONA_PREDIO_TIPO));
        return lista;
    }

    /**
     * Retorna los valores para un combo box (selectOneMenu) con los registros del tipo de
     * persona_predio. Retorna en la lista unicamente el valor del dominio.
     *
     * @return
     * @author fabio.navarrete
     */
    public List<SelectItem> getPersonaPredioTipoV() {
        List<SelectItem> lista = new ArrayList<SelectItem>();
        this.adicionarDatosV(lista, this.getGeneralesService()
            .getCacheDominioPorNombre(EDominio.PERSONA_PREDIO_TIPO));
        return lista;
    }

    public List<SelectItem> getPersonaTipoPersonaCV() {
        List<SelectItem> lista = new ArrayList<SelectItem>();
        this.adicionarDatosCV(lista, this.getGeneralesService()
            .getCacheDominioPorNombre(EDominio.PERSONA_TIPO_PERSONA));
        return lista;
    }
//--------------------------------------------------------------------------------------------------

    public List<SelectItem> getPersonaTipoPersonaV() {
        List<SelectItem> lista = new ArrayList<SelectItem>();
        this.adicionarDatosV(lista, this.getGeneralesService()
            .getCacheDominioPorNombre(EDominio.PERSONA_TIPO_PERSONA));
        return lista;
    }
//-----------------------------------

    /**

sigc-web-public/src/main/webapp/avaluos/ejecucion/registrarFechaSuspensionAvaluo.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			rodrigo.hernandez
@cu 				CU-SA-AC-050  
@ManagedBean        ModificacionPlazoEjecucionAvaluoMB
-->

<h:form id="registrarFechaSuspensionAvaluoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5" width="0" />

    <p:messages showDetail="false" globalOnly="false" />

    <p:fieldset>

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Departamento" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluosPredios[0].departamento.nombre}"
                rendered="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                immediate="true">
                <f:setPropertyActionListener
                    value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText styleClass="outputTextStyle"
                          rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                          value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].departamento.codigo} - #{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].departamento.nombre}" />


            <h:outputLabel value="Municipio" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluosPredios[0].departamento.nombre}"
                rendered="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                immediate="true">
                <f:setPropertyActionListener
                    value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText styleClass="outputTextStyle"
                          rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                          value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.codigo} - #{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}" />


            <h:outputLabel value="Tipo avalúo" styleClass="outputLabelStyle" />
            <h:outputText id="AvaluoTipoAvaluoV-1"
                          value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.tipoAvaluo}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="AvaluoTipoAvaluoV-1" />
            </h:outputText>

            <h:outputLabel value="Sec. radicado" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.secRadicado}"
                           immediate="true">
                <f:setPropertyActionListener
                    value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

            <h:outputLabel value="Adjudicación" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado.avaluoAsignacionProfesionals[0].ordenPractica.fecha}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                                   timeZone="GMT-5" />
            </h:outputText>

        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset id="datosCancelacionFS">
        <h:panelGrid width="100%">

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colPequena, colMediana">
                <h:outputLabel value="Fecha suspension"
                               styleClass="outputLabelStyle" />

                <p:calendar id="fechaRadicacion"
                            value="#{modificarPlazoEjecucionAvaluo.avaluoMovimiento.fechaDesde}"
                            navigator="true" label="Fecha final" 
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            showOn="both" title="#{general.formatoFechaUsuario}" tabindex="0"
                            effect="slideDown" size="12" />
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colPequena, colMediana">
                <h:outputLabel value="Justificación suspension"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="tipoEmpresa" label="Justificación suspension"
                                 value="#{modificarPlazoEjecucionAvaluo.avaluoMovimiento.justificacion}"
                                 required="true"
                                 requiredMessage="Debe ingresar el dato requerido en Justificacion suspension">

                    <f:selectItems value="#{general.justificacionCancelacionAvaluo}" />

                    <p:ajax
                        listener="#{modificarPlazoEjecucionAvaluo.habilitarCampoOtraJustificacion}"
                        update="datosCancelacionFS" onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />
                </h:selectOneMenu>
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colPequena, colMediana"
                         rendered="#{modificarPlazoEjecucionAvaluo.banderaMostrarOtraJustificacion}">
                <h:outputLabel value="Descripción Otra Justificación"
                               styleClass="outputLabelStyle" />
                <h:inputText
                    value="#{modificarPlazoEjecucionAvaluo.avaluoMovimiento.otraJustificacion}" />
            </h:panelGrid>


        </h:panelGrid>

        <p:spacer height="10" />

        <p:outputPanel style="border:0px;width:50px;display:block;">

            <p:commandButton value="Aceptar" icon="ui-icon-check"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); confirmaSuspensionWV.show();">
            </p:commandButton>

        </p:outputPanel>
    </p:fieldset>




</h:form>